资产负债表
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| year | 否 | String | 年份 | |
| keyword | 是 | String | 搜索关键字(公司名称、公司id、注册号或社会统一信用代码) |
请求代码示例:
curl -k -i "https://v.juhe.cn/opens/App/stockBalancesheet/query?key=key&year=2024&keyword=xxx"
<?php
/**
* 1657-资产负债表 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://v.juhe.cn/opens/App/stockBalancesheet/query"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'year'=> '2024',
'keyword'=> 'xxx',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 1657-资产负债表 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://v.juhe.cn/opens/App/stockBalancesheet/query' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'year': '2024',
'keyword': 'xxx',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://v.juhe.cn/opens/App/stockBalancesheet/query"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("year", "2024")
requestParams.Set("keyword", "xxx")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://v.juhe.cn/opens/App/stockBalancesheet/query";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "year", "2024");
data.Add( "keyword", "xxx");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://v.juhe.cn/opens/App/stockBalancesheet/query'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
year: '2024',
keyword: 'xxx',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://v.juhe.cn/opens/App/stockBalancesheet/query";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("year", "2024");
map.put("keyword", "xxx");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://v.juhe.cn/opens/App/stockBalancesheet/query"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"year": @"2024",
@"keyword": @"xxx",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| corpFinancialYears | Array | ||
| title | String | 年度 | |
| value | String | 值 | |
| error_code | string | 状态码 | |
| reason | string | 说明 | |
| result | object | 结果 | |
JSON返回示例:JSON在线格式化工具 >
{
"result": {
"corpFinancialYears": [
{
"title": "2020年度",
"value": "2020"
},
{
"title": "2019年度",
"value": "2019"
},
{
"title": "2018年度",
"value": "2018"
},
{
"title": "2017年度",
"value": "2017"
},
{
"title": "2016年度",
"value": "2016"
},
{
"title": "2015年度",
"value": "2015"
},
{
"title": "2014年度",
"value": "2014"
},
{
"title": "2013年度",
"value": "2013"
},
{
"title": "2012年度",
"value": "2012"
},
{
"title": "2011年度",
"value": "2011"
}
],
"corpBalanceSheet": [
{
"tax_payable": "919.26万",
"lt_deferred_expense": "679.7万",
"total_current_assets": "12.22亿",
"total_assets": "24.9亿",
"pre_payment": "1133.36万",
"bill_payable": "3333.09万",
"total_current_liab": "2.4亿",
"total_liab": "240124261.7600",
"showYear": "2018一季度",
"inventory": "2781.95万",
"total_quity_atsopc": "22.44亿",
"intangible_assets": "7677.99万",
"shares": "4.16亿",
"othr_payables": "5278.18万",
"undstrbtd_profit": "-3.48亿",
"othr_noncurrent_assets": "",
"payroll_payable": "832.82万",
"dt_assets": "194万",
"construction_in_process": "",
"total_liab_and_holders_equity": "24.9亿",
"invest_property": "4148.73万",
"fixed_asset": "1.74亿",
"interest_payable": "149.5万",
"account_receivable": "1.55亿",
"currency_funds": "2.48亿",
"dividend_payable": "",
"pre_receivable": "2481.32万",
"total_noncurrent_assets": "12.67亿",
"othr_current_assets": "3.2亿",
"earned_surplus": "1960.3万",
"total_noncurrent_liab": "14.52万",
"bills_receivable": "240万",
"othr_receivables": "2846.02万",
"capital_reserve": "19.76亿",
"total_holders_equity": "22.5亿"
},
{
"tax_payable": "643.13万",
"lt_deferred_expense": "630.55万",
"total_current_assets": "12.9亿",
"total_assets": "25.57亿",
"pre_payment": "1.09亿",
"bill_payable": "3939.28万",
"total_current_liab": "2.76亿",
"total_liab": "296228229.8200",
"showYear": "2018中报",
"inventory": "3283.28万",
"total_quity_atsopc": "22.61亿",
"intangible_assets": "7945.24万",
"shares": "6.24亿",
"othr_payables": "7387.31万",
"undstrbtd_profit": "-3.24亿",
"othr_noncurrent_assets": "",
"payroll_payable": "670.34万",
"dt_assets": "150.49万",
"construction_in_process": "",
"total_liab_and_holders_equity": "25.57亿",
"invest_property": "4089.31万",
"fixed_asset": "1.72亿",
"interest_payable": "",
"account_receivable": "1.88亿",
"currency_funds": "2.69亿",
"dividend_payable": "",
"pre_receivable": "1770.39万",
"total_noncurrent_assets": "12.67亿",
"othr_current_assets": "3.19亿",
"earned_surplus": "1960.3万",
"total_noncurrent_liab": "2007.64万",
"bills_receivable": "24万",
"othr_receivables": "2298.44万",
"capital_reserve": "17.64亿",
"total_holders_equity": "22.61亿"
},
{
"tax_payable": "402.15万",
"lt_deferred_expense": "583.07万",
"total_current_assets": "12.22亿",
"total_assets": "25.4亿",
"pre_payment": "1.37亿",
"bill_payable": "",
"total_current_liab": "2.63亿",
"total_liab": "282500249.1400",
"showYear": "2018三季度",
"inventory": "4210.44万",
"total_quity_atsopc": "22.58亿",
"intangible_assets": "7383.19万",
"shares": "6.24亿",
"othr_payables": "",
"undstrbtd_profit": "-3.07亿",
"othr_noncurrent_assets": "",
"payroll_payable": "567.88万",
"dt_assets": "158.05万",
"construction_in_process": "",
"total_liab_and_holders_equity": "25.4亿",
"invest_property": "4029.9万",
"fixed_asset": "1.69亿",
"interest_payable": "",
"account_receivable": "1.97亿",
"currency_funds": "1.47亿",
"dividend_payable": "",
"pre_receivable": "1654.26万",
"total_noncurrent_assets": "13.18亿",
"othr_current_assets": "3.42亿",
"earned_surplus": "1960.3万",
"total_noncurrent_liab": "1959.48万",
"bills_receivable": "261.85万",
"othr_receivables": "",
"capital_reserve": "17.64亿",
"total_holders_equity": "22.58亿"
},
{
"tax_payable": "1286.78万",
"lt_deferred_expense": "335.23万",
"total_current_assets": "12.6亿",
"total_assets": "25.22亿",
"pre_payment": "1200.17万",
"bill_payable": "4956.83万",
"total_current_liab": "3.24亿",
"total_liab": "335425193.8600",
"showYear": "2018年报",
"inventory": "4337.16万",
"total_quity_atsopc": "21.87亿",
"intangible_assets": "4882.64万",
"shares": "6.24亿",
"othr_payables": "4948.47万",
"undstrbtd_profit": "-2.98亿",
"othr_noncurrent_assets": "467.58万",
"payroll_payable": "1196.63万",
"dt_assets": "257.99万",
"construction_in_process": "",
"total_liab_and_holders_equity": "25.22亿",
"invest_property": "4355.07万",
"fixed_asset": "1.72亿",
"interest_payable": "7.08万",
"account_receivable": "3.22亿",
"currency_funds": "1.78亿",
"dividend_payable": "",
"pre_receivable": "2359.3万",
"total_noncurrent_assets": "12.62亿",
"othr_current_assets": "2.25亿",
"earned_surplus": "1960.3万",
"total_noncurrent_liab": "1117.6万",
"bills_receivable": "729.85万",
"othr_receivables": "3003.28万",
"capital_reserve": "17.67亿",
"total_holders_equity": "21.86亿"
}
]
},
"reason": "success",
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 264300 | 网络超时,请稍后再试 | |
| 264301 | 参数缺失 | |
| 264302 | 参数不合法 | |
| 264303 | 请求失败 | |
| 264304 | 查询无结果 | |
| 264305 | 未知错误 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号